DSBTournamentDetailDTO Data Type

Extended view model of a single DSB tournament, returned only by the tournament detail endpoint (GET /dwz/tournaments/{uuid}).

In addition to all fields of DSBTournamentDTO it carries aggregate counts that require dedicated database queries and are therefore not provided for the (potentially large) tournament list responses.

Additional fields

  • playerCount – Number of players participating in the tournament.
  • matchCount – Number of games (Partien) played in the tournament.

Properties
name data type constraints description
playerCount number required long
matchCount number required long
Properties inherited from DSBTournamentDTO
uuid string  
label string  
vkz string  
startdate string  
enddate string  
processingState ProcessingState  
ratingState RatingState  
referentFirstname string  
referentLastname string  
referentEmail string  
additionalReferentFirstname string  
additionalReferentLastname string  
additionalReferentEmail string  
location string  
url string  
lastCalculated string  
rounds number  

Example

{
  "playerCount" : 12345,
  "matchCount" : 12345,
  "uuid" : "...",
  "label" : "...",
  "vkz" : "...",
  "startdate" : "...",
  "enddate" : "...",
  "processingState" : "NEW",
  "ratingState" : "RATED",
  "referentFirstname" : "...",
  "referentLastname" : "...",
  "referentEmail" : "...",
  "additionalReferentFirstname" : "...",
  "additionalReferentLastname" : "...",
  "additionalReferentEmail" : "...",
  "location" : "...",
  "url" : "...",
  "lastCalculated" : "...",
  "rounds" : 12345
}